import type { Meta, StoryObj } from "@storybook/react"
import { BreadcrumbResponsive } from "./Brdcrb"

const items = [
    { href: "#", label: "Item 1" },
    { href: "#", label: "Item 2" },
    { href: "#", label: "Item 3" },
    { href: "#", label: "Item 4" },
    { href: "#", label: "Item 5" },
    { href: "#", label: "Item 6" },
    { href: "#", label: "Item 7" },
    { href: "#", label: "Item 8" },
    { href: "#", label: "Item 9" },
    { href: "#", label: "Item 10" },
    { href: "#", label: "Item 11" },
    { href: "#", label: "Item 12" },
    { href: "#", label: "Item 13" },
  ];

const meta: Meta<typeof BreadcrumbResponsive> = {
    title: "BreadcrumbResponsive",
    component: BreadcrumbResponsive,
    render: args => <BreadcrumbResponsive {...args} items={items} ITEMS_TO_DISPLAY={8}></BreadcrumbResponsive>,
}

export default meta

type Story = StoryObj<typeof BreadcrumbResponsive>

export const RoundedFallback: Story = {
    args: {
        variant: 'primary'
    },
};

export const Default: Story = {
    args: {
        variant: 'secondary'
    },
};



