import type { Meta, StoryObj } from "@storybook/react"
import { IconButton } from "./iconButton"

const meta: Meta<typeof IconButton> = {
    title: "BUTTON/IconButton",
    component: IconButton,
    render: args => <IconButton {...args}>ICO</IconButton>,
}

export default meta

type Story = StoryObj<typeof IconButton>

export const Outlined: Story = {
    args: {
        variant: 'outline'
    },
};


export const Default: Story = {
    args: { variant: 'default' },
};
