import React from 'react';
import { DatePickerWithPresets } from './DatePickerPresets'; 

import type { Meta, StoryObj } from '@storybook/react';


const meta: Meta<typeof DatePickerWithPresets> = {
  title: 'Calendar/DatePickerWithPresets',
  component: DatePickerWithPresets,
  
  render: (args) => <DatePickerWithPresets {...args} />,
};

export default meta;

type Story = StoryObj<typeof DatePickerWithPresets>;

export const Default: Story = {
  args: {
    variant:'default'
  },
};

export const WithEnabledDates: Story = {
  args: {
    variant:'default',
    size:'default'
  },
};

export const CustomStyles: Story = {
  args: {
    variant:'default',
    size:'lg'
  },
};
