import type { Meta, StoryObj } from "@storybook/react"
import { IconInput } from "./IconInput" 
const meta: Meta<typeof IconInput> = {
    title: "Input/IconInput",
    component: IconInput,
    render: args => <IconInput {...args} />,
}

export default meta

type Story = StoryObj<typeof IconInput>


export const Default:Story = {
    args:{
        variant:'default',
    }
}


export const Outline: Story = {
    args: {
        variant: 'outline',
    },
};


