
import type { Meta, StoryObj } from "@storybook/react"
import { Textarea } from "./textarea"

const meta: Meta<typeof Textarea> = {
    title: "Input/Textarea",
    component: Textarea,
    render: args => <Textarea {...args}></Textarea>,
}

export default meta

type Story = StoryObj<typeof Textarea>

export const Default: Story = {
    args: {
        variant: 'default',
        size:'sm'
    },
};


export const Large: Story = {
    args: {
        variant: 'primary',
        size:'lg'
    },
};


