import type { Meta, StoryObj } from "@storybook/react"
import { Toggle } from "./toggle"

const meta: Meta<typeof Toggle> = {
    title: "Shift/Toggle",
    component: Toggle,
    render: args => <Toggle {...args}>T</Toggle>,
}

export default meta

type Story = StoryObj<typeof Toggle>

export const Default: Story = {
    args: {
        variant: 'default', 
        size: 'sm'
    },
};


export const Outline: Story = {
    args: {
         variant: 'outline',
         size:'lg' 
    },
};
