import type { Meta, StoryObj } from "@storybook/react"
import { Label } from "./label"

const meta: Meta<typeof Label> = {
    title: "Label",
    component: Label,
    render: args => <Label {...args}>This is a Label</Label>,
}

export default meta

type Story = StoryObj<typeof Label>

export const Default: Story = {
    args: {
        variant: 'default', size: 'sm'
    },
};


export const Red: Story = {
    args: { variant: 'red' , size:'lg' },
};
