import type { Meta, StoryObj } from "@storybook/react"
import { RadioGroup } from "./radio-group"

const meta: Meta<typeof RadioGroup> = {
    title: "RadioGroup",
    component: RadioGroup,
    render: args => <RadioGroup {...args} options={[
        { id: "option-one", label: "Option One" },
        { id: "option-two", label: "Option Two" },
        { id: "option-three", label: "Option Three" },
      ]} ></RadioGroup>,
}

export default meta

type Story = StoryObj<typeof RadioGroup>

export const Default: Story = {
    args: {
        type:'full'
    },
};


export const Large: Story = {
    args: {
        type:'lg'
    },
};
