import React from 'react';
import { DatePickerWithRange } from './DateRangePicker'; 

import type { Meta, StoryObj } from '@storybook/react';


const meta: Meta<typeof DatePickerWithRange> = {
  title: 'Calendar/DateRangePicker',
  component: DatePickerWithRange,
  
  render: (args) => <DatePickerWithRange {...args} />,
};

export default meta;

type Story = StoryObj<typeof DatePickerWithRange>;

export const Default: Story = {
  args: {
    variant:'default'
  },
};

export const CustomStyles: Story = {
  args: {
    variant:'custom'
  },
};

export const CustomVariant: Story = {
  args: {
    variant:'outline'
  },
};
