import type { Meta, StoryObj } from "@storybook/react"
import { EmailInput } from "./EmailInput" 
const meta: Meta<typeof EmailInput> = {
    title: "Input/EmailInput",
    component: EmailInput,
    render: args => <EmailInput {...args} />,
}

export default meta

type Story = StoryObj<typeof EmailInput>


export const Default:Story = {
    args:{
        variant:'default',
        inputSize:'sm'
    }
}

export const Primary: Story = {
    args: {
        variant: 'primary',
        inputSize: 'lg',
    },
};

export const Disabled: Story = {
    args: {
        variant: 'default',
        inputSize: 'lg',
        disable:true
    },
};


