import type { Meta, StoryObj } from "@storybook/react"
import { ScrollArea } from "./scroll-area"

const meta: Meta<typeof ScrollArea> = {
    title: "ScrollArea",
    component: ScrollArea,
    render: args => <ScrollArea {...args} className="h-20 w-44">Lorem, ipsum dolor sit amet consectetur adipisicing elit. A iusto maxime asperiores animi neque, voluptate laborum quaerat provident blanditiis rem ratione in aliquam architecto magni id, labore cupiditate fuga hic. Lorem ipsum dolor sit amet consectetur, adipisicing elit. Neque alias architecto consequuntur fuga dolorum odit libero eaque ipsum optio eum dolorem vitae dignissimos doloremque enim voluptate, quos, dolor adipisci perspiciatis.</ScrollArea>,
}

export default meta

type Story = StoryObj<typeof ScrollArea>

export const Default: Story = {
    args: {
        variant: 'default'
    },
};


export const Primary: Story = {
    args: { 
        variant: 'primary' 
    },
};
