import type { Meta, StoryObj } from "@storybook/react"
import { Skeleton } from "./skeleton"

const meta: Meta<typeof Skeleton> = {
    title: "Skeleton",
    component: Skeleton,
    render: args => <Skeleton {...args} ></Skeleton>,
}

export default meta

type Story = StoryObj<typeof Skeleton>

export const Default: Story = {
    args: {
        rounded:'md',
        color:'default',
        size:'md'
    },
};


export const Default1: Story = {
    args:{
        rounded:'full',
        color:'slate',
        size:'sm'
    }
};
