// webpack.config.js
const path = require('path');

module.exports = {
entry: './components/index.ts',
output: {
	path: path.resolve(__dirname, 'dist'),
	filename: 'bundle.js',
	library: 'track3d-core-ui',
	libraryTarget: 'umd',
},
module: {
	rules: [
	{
		test: /\.js$/,
		exclude: /node_modules/,
		use: {
		loader: 'babel-loader',
		},
	},
	],
},
};
